#include "Rune Engine Audio.h"

#pragma unmanaged

BOOL RuSymphony_Initialize()
{
	if(g_ruSymphony == NULL)
	{
		g_ruSymphony = ruNEW CRuSymphony();
		g_ruSymphony->Startup();
	}

	if(g_ruAudioLibrary == NULL)
	{
		g_ruAudioLibrary = ruNEW CRuFusion_AudioLibrary();
	}

	return TRUE;
}

BOOL RuSymphony_Shutdown()
{
	if(g_ruSymphony)
	{
		g_ruSymphony->Shutdown();
		ruSAFE_RELEASE(g_ruSymphony);
	}

	if(g_ruAudioLibrary)
	{
		ruSAFE_RELEASE(g_ruAudioLibrary);
	}

	return TRUE;
}

#pragma managed
